# This file should contain all the record creation needed to seed the database with its default values.
# The data can then be loaded with the rake db:seed (or created alongside the db with db:setup).
#
# Examples:
#   
#   cities = City.create([{ :name => 'Chicago' }, { :name => 'Copenhagen' }])
#   Major.create(:name => 'Daley', :city => cities.first)

a = SuperContainer.create(:name => 'A')

m = Container.create(:name => 'M', :super_container => a)
n = Container.create(:name => 'N', :super_container => a)

v = ContainedItem.create(:name => 'V', :container => m)
w = ContainedItem.create(:name => 'W', :container => m)
x = ContainedItem.create(:name => 'X', :container => n)
y = ContainedItem.create(:name => 'Y', :container => n)
z = ContainedItem.create(:name => 'Z', :container => n)